/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* FONTS E CORES */
body {
    font-family: 'Lato', sans-serif;
    background-color: #261506;
    color: #f5f5f5;
    line-height: 1.6;
}

h1,
h2,
h3 {
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
}

a {
    text-decoration: none;
    transition: color 0.3s ease;
}

a:hover {
    color: #fff;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    background-color: #f7f7f7;
    color: #333;
}

header,
footer {
    background-color: #004d00;
    color: white;
    text-align: center;
    padding: 20px;
}

nav {
    text-align: center;
    background-color: #e6e6e6;
    padding: 10px;
}

nav a {
    margin: 0 15px;
    text-decoration: none;
    color: #004d00;
    font-weight: bold;
}

section {
    padding: 30px;
    max-width: 900px;
    margin: auto;
    background-color: white;
    margin-top: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1,
h2 {
    color: #004d00;
}

.social a {
    display: inline-block;
    margin: 10px;
    text-decoration: none;
    color: #004d00;
}

form {
    display: flex;
    flex-direction: column;
}

label,
input,
textarea {
    margin-bottom: 10px;
    font-size: 1rem;
}

input,
textarea {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

button {
    background-color: #004d00;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #006600;
}

.whatsapp-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #25d366;
    color: white;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    text-decoration: none;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

/* TOPO */
.container-topo {

    padding: 1rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid #f7c243;
}

.container-topo img {
    height: 9em;
    border-radius: 15px;
}

.container-topo div a {
    margin-left: 1.5rem;
    font-weight: bold;
}

#toggle-theme {
    cursor: pointer;
    padding: 0.5rem 1rem;
    background-color: #f7c243;
    color: #261506;
    border: none;
    border-radius: 15px;
    transition: background-color 0.3s ease;
    font-size: 0.1rem;
}


#toggle-theme:hover {
    background-color: #fff;
    color: #261506;
    background-color: #b54800;
}

/* BANNER */
.container-parallax1 {
    background-image: url('images/fundo1.png');
    background-size: cover;
    background-position: center;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #fff;
}

.container-parallax1 h1 {
    font-size: 4rem;
    letter-spacing: 4px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    background-color: rgba(0, 0, 0, 0.842);
    padding: 1rem 2rem;
    border-radius: 8px;
    font-weight: 300;
    letter-spacing: 1px;
    border-radius: 60px;
}

.container-parallax1 h2 {
    font-size: 1.5rem;
    color: #070707;
    text-shadow: 2px 3px 4px rgba(233, 217, 3, 0.863);

}

/* TEXTOS */
.container-texto {
    padding: 4rem 2rem;
    max-width: 960px;
    margin: auto;
    background-color: #1a1a1a;
    border-left: 4px solid #f7c243;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.container-texto h2 {
    margin-bottom: 1rem;
}

.container-texto p {
    margin-bottom: 1rem;
}

.container-parallax1,
.container-parallax2,
.container-parallax3,
.container-parallax4,
.container-parallax5,
.container-parallax6 {
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    height: 60vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 1em;
}

.container-parallax1 {
    background-image: url('images/jeaninicio.jpg');
}

.container-parallax2 {
    background-image: url('images/fundo2.png');
}

.container-parallax3 {
    background-image: url('images/martelo.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    flex-direction: column;
}

.container-parallax4 {
    background-image: url('images/jean_microfone.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    flex-direction: column;
}

.container-parallax5 {
    background-image: url('images/vacas.jpg');
    flex-direction: column;
    padding: 2rem;
}

.container-parallax6 {
    background-image: url('images/fundogean2.png');
}

.container-parallax1 h1,
.container-parallax1 h2,
.container-parallax2 h3,
.container-parallax3 h3,
.container-parallax4 h3,
.container-parallax5 h3,
.container-parallax6 h3 {
    font-size: 2rem;
    color: #e6e6e6;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 1rem;
    border-radius: 8px;
}

/* CONTATOS */
.contato-horario {
    background-image: url('Imagens/parallax-vinil.png');
    background-size: cover;
    background-position: center;
    border-radius: 8px;
    text-align: center;
    color: #f5f5f5;
    padding-top: 1.5em;
}

.contato-horario h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
    margin-top: 1rem;
    color: #b18622;
}

.contato-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    margin-bottom: 2rem;
    padding-top: 1.5em;
}

.contato-box iframe {
    width: 100%;
    max-width: 600px;
    height: 300px;
    border: none;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.719);
    ;
}

.info-contato p {
    background-color: rgba(0, 0, 0, 0.5);
    margin-top: 0.7rem;
    padding: 1rem;
    border-radius: 6px;
    font-size: 1rem;
}

.social {
    display: flex;
    gap: 1rem;
    justify-content: center;
    margin: 2rem 0 1rem 0;
}

.social-button {
    background: #f7c243;

    padding: 0.6em 1.2em;
    border-radius: 25px;
    text-decoration: none;
    font-weight: 500;
    transition: background 0.2s, color 0.2s, box-shadow 0.2s;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

.social-button:hover {
    background: #4caf50;

    box-shadow: 0 4px 16px rgba(76, 175, 80, 0.15);
}

@media (max-width: 600px) {
    .social {
        flex-direction: column;
        align-items: center;
    }
}


/* RODAPÉ */
.container-rodape {
    background-color: #000;
    color: #999;
    text-align: center;
    padding: 2rem;
    border-top: 2px solid #f7c243;
    flex-direction: column;
    padding: 2rem;
}

.container-rodape span {
    color: #f7c243;
}

.container-rodape a {
    color: #f7c243;
    text-decoration: none;
}

/* Light Theme */
:root[data-theme='light'] {
    --bg: #fff;
    --text: #222;
    --accent: #004d00;
    --shadow: rgba(0, 0, 0, 0.1);
        --link: #f7c243;
}

:root[data-theme='dark'] {
    --bg: #080808;
    --text: #fff;
    --accent: #f7c243;
    --shadow: rgba(0, 0, 0, 0.5);
    --link: #f7c243;
}

body {
    background-color: var(--bg);
    color: var(--text);
}

.container-topo,
.container-texto,
.container-rodape,
.lista li {
    background-color: var(--bg);
    color: var(--text);
    box-shadow: 0 2px 4px var(--shadow);
}

.container-rodape p {
    color: #fff;
}

.linkfooter {
    color: var(--link);
    text-decoration: none;
}

.linkfooter:hover {
    color: var(--accent);
}

h2,
h3,
a,
strong,
span {
    color: var(--accent);
}

p {
    color: var(--text);
}

.galeria {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 1.5rem;
    margin-top: 2rem;
}

.galeria div {
    background-color: #1e1e1e;
    padding: 1rem;
    text-align: center;
    border: 1px solid var(--accent);
    border-radius: 10px;
    transition: transform 0.3s ease;
}

.galeria div:hover {
    transform: scale(1.05);
    background-color: #2c2c2c;
}

.galeria img {
    width: 100%;
    border-radius: 8px;
    margin-bottom: 0.5rem;
}